Start 2FA setup
curl --request POST \
--url https://api.next.orenda.finance/v1/auth/mfa/setup \
--header 'Authorization: Bearer <token>' \
--header 'x-program-id: <x-program-id>'import requests
url = "https://api.next.orenda.finance/v1/auth/mfa/setup"
headers = {
"x-program-id": "<x-program-id>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-program-id': '<x-program-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.next.orenda.finance/v1/auth/mfa/setup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"secret": "JBSWY3DPEHPK3PXP",
"qr_uri": "otpauth://totp/Orenda:ada.lovelace@example.com?secret=JBSWY3DPEHPK3PXP&issuer=Orenda"
}
}{
"success": false,
"code": "INVALID_CREDENTIALS",
"message": "<string>",
"retryable": true
}Password sign-in
Start 2FA setup
Returns a secret and a QR code link. Show the QR code in an authenticator app, then confirm with mfa/confirm. No request body — the user is identified by the bearer token.
POST
/
v1
/
auth
/
mfa
/
setup
Start 2FA setup
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Identifies the program. Can also be sent as the programId query parameter.
⌘I